<?php

namespace RTMCustomMails\WooCommerce;

use WordpressModels\Traits\SingletonTrait;

/**
 *
 */
class WoocommerceEmailActions
{

    use SingletonTrait;

    private function __construct()
    {
        add_filter('woocommerce_email_actions', [$this, 'addCustomEmailActions']);
    }

    /**
     * @param $email_actions
     * @return array
     */
    public function addCustomEmailActions($email_actions): array
    {
        return [
            ...$email_actions,
            'woocommerce_checkout_order_processed'
        ];
    }

}